=== examples/eigen/CMakeLists.txt ===
FILE(GLOB EDP_FILES *.edp)

IF(NOT FREEFEM_MSH3_INSTALLED)
  LIST(REMOVE_ITEM EDP_FILES ${CMAKE_SOURCE_DIR}/examples/eigen/Lap3dEigenValue.edp)
ENDIF(NOT FREEFEM_MSH3_INSTALLED)

IF(NOT FREEFEM_LAPACK_INSTALLED)
  LIST(REMOVE_ITEM EDP_FILES ${CMAKE_SOURCE_DIR}/examples/eigen/LapnosymComplexEigenValue.edp)
ENDIF(NOT FREEFEM_LAPACK_INSTALLED)


FOREACH(EDP_FILE ${EDP_FILES})
  GET_FILENAME_COMPONENT(FILENAME ${EDP_FILE} NAME_WE)
  ADD_TEST(NAME ${FILENAME} COMMAND "${CMAKE_BINARY_DIR}/src/FreeFem++" ${EDP_FILE}
                            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/examples/eigen)
ENDFOREACH(EDP_FILE)
