=== src/fflib/CMakeLists.txt ===
include(ff_define_libff_library)

ff_define_libff_library()
