=== debian/changelog ===
freefem++ (4.13+dfsg-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:21:19 +0000

freefem++ (4.13+dfsg-1build4) noble; urgency=medium

  * No-change rebuild against libarpack2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 07:33:07 +0000

freefem++ (4.13+dfsg-1build3) noble; urgency=medium

  * Rebuild against new libcholmod5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 17:50:01 +0100

freefem++ (4.13+dfsg-1build2) mantic; urgency=medium

  * No-change rebuild against

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 Aug 2023 21:10:52 +0000

freefem++ (4.13+dfsg-1build1) mantic; urgency=medium

  * No-change rebuild against libcholmod4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 30 Jul 2023 21:14:05 +0000

freefem++ (4.13+dfsg-1) unstable; urgency=medium

  [Debian Janitor]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libscalapack-mpi-dev.

  [Francois Mazen]
  * New upstream version 4.13
  * Remove obsolete patches
  * Add patch to remove obsolete binary_function and unary_function,
    and fix failing autopkgtest (Closes: #1033702)
  * Remove allow-stderr restriction for build-and-run-lib autopkgtest,
    because not necessary anymore due to above patch
  * Bump standard version to 4.6.2

 -- Francois Mazen <francois@mzf.fr>  Sat, 17 Jun 2023 16:45:34 +0200
